import * as $dara from '@darabonba/typescript';
import { EnableCustomInstanceBlockRecordResponseBody } from "./EnableCustomInstanceBlockRecordResponseBody";
export declare class EnableCustomInstanceBlockRecordResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: EnableCustomInstanceBlockRecordResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
